aboutsummaryrefslogtreecommitdiffhomepage
path: root/src
diff options
context:
space:
mode:
authorGravatar Han-Wen Nienhuys <hanwen@google.com>2015-11-26 18:33:49 +0000
committerGravatar Kristina Chodorow <kchodorow@google.com>2015-11-30 18:29:44 +0000
commit6072b2b2f06d1b448e0406e62da332808f347565 (patch)
tree0baf8df82602f18243d64e1b9814e9836fee42e0 /src
parentd1ece88d4aa1d7f236d29affe8b9cd0980ba1ded (diff)
Test that
//src/main/java/com/google/devtools/build/lib:gen_buildencyclopedia works in a more roundabout way. The previous approach requires the transitive closure of gen_buildencyclopedia to be in the generated tree, which is problematic for BUILD refactoring, as src/main/native/ isn't shipped into this tree. -- MOS_MIGRATED_REVID=108804299
Diffstat (limited to 'src')
-rw-r--r--src/test/shell/bazel/BUILD5
-rwxr-xr-xsrc/test/shell/bazel/bazel_docgen_test.sh12
2 files changed, 3 insertions, 14 deletions
diff --git a/src/test/shell/bazel/BUILD b/src/test/shell/bazel/BUILD
index 9e121ce90b..a041d342c7 100644
--- a/src/test/shell/bazel/BUILD
+++ b/src/test/shell/bazel/BUILD
@@ -143,10 +143,7 @@ sh_test(
name = "bazel_docgen_test",
size = "large",
srcs = ["bazel_docgen_test.sh"],
- data = [
- ":doc-srcs",
- ":test-deps",
- ],
+ data = ["//src/main/java/com/google/devtools/build/lib:gen_buildencyclopedia"],
)
sh_test(
diff --git a/src/test/shell/bazel/bazel_docgen_test.sh b/src/test/shell/bazel/bazel_docgen_test.sh
index c04ec5e524..e17a059fba 100755
--- a/src/test/shell/bazel/bazel_docgen_test.sh
+++ b/src/test/shell/bazel/bazel_docgen_test.sh
@@ -17,14 +17,6 @@
# Test the Bazel documentation generation
#
-# Load test environment
-source $(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)/test-setup.sh \
- || { echo "test-setup.sh not found!" >&2; exit 1; }
+# if we get to run this script, the prerequisite is there, and we're happy.
-function test_docgen() {
- unzip -q -n ${bazel_tree}
- bazel build src/main/java/com/google/devtools/build/lib:gen_buildencyclopedia &> $TEST_log || \
- fail "Unexpected error generating build encyclopedia"
-}
-
-run_suite "documentation generation"
+echo PASS